libyade_2019.01a-3_i386.deb


Advertisement

Description

libyade - Platform for discrete element modeling. Libraries

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libyade_2019.01a-3_i386.deb
Package name libyade
Package version 2019.01a
Package release 3
Package architecture i386
Package type deb
Category science uitoolkit::qt
Homepage https://yade-dem.org/doc/
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 9.29 MB
Installed size 66.79 MB

Alternatives

Package Version Architecture Repository
libyade_2019.01a-3_amd64.deb 2019.01a amd64 Debian Main
libyade - - -

Requires

Name Value
freeglut3 -
libboost-filesystem1.67.0 -
libboost-iostreams1.67.0 -
libboost-python1.67.0 -
libboost-regex1.67.0 >= 1.67.0-10
libboost-serialization1.67.0 -
libboost-system1.67.0 -
libboost-thread1.67.0 -
libc6 >= 2.27
libcgal13 -
libcholmod3 >= 1:4.5.2
libgcc1 >= 1:4.2
libgl1 -
libgl2ps1.4 -
libglu1 -
libglu1-mesa -
libgmp10 -
libgomp1 >= 6
libopenblas-base -
libopenblas-dev -
libpython2.7 >= 2.7
libqglviewer2-qt5 -
libqt5core5a >= 5.11.0~rc1
libqt5gui5 >= 5.0.2
libqt5opengl5 >= 5.0.2
libqt5widgets5 >= 5.0.2
libqt5xml5 >= 5.0.2
libstdc++6 >= 9
libvtk6.3 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libyade_2019.01a-3_i386.deb
Source Package yade

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libyade deb package:
    # sudo apt-get install libyade

Files

Path
/usr/lib/i386-linux-gnu/yade/libyade.so
/usr/lib/i386-linux-gnu/yade/py/mtTkinter.py
/usr/lib/i386-linux-gnu/yade/py/yade/WeightedAverage2d.so
/usr/lib/i386-linux-gnu/yade/py/yade/__init__.py
/usr/lib/i386-linux-gnu/yade/py/yade/_customConverters.so
/usr/lib/i386-linux-gnu/yade/py/yade/_extraDocs.py
/usr/lib/i386-linux-gnu/yade/py/yade/_packObb.so
/usr/lib/i386-linux-gnu/yade/py/yade/_packPredicates.so
/usr/lib/i386-linux-gnu/yade/py/yade/_packSpheres.so
/usr/lib/i386-linux-gnu/yade/py/yade/_polyhedra_utils.so
/usr/lib/i386-linux-gnu/yade/py/yade/_utils.so
/usr/lib/i386-linux-gnu/yade/py/yade/bodiesHandling.py
/usr/lib/i386-linux-gnu/yade/py/yade/boot.so
/usr/lib/i386-linux-gnu/yade/py/yade/config.py
/usr/lib/i386-linux-gnu/yade/py/yade/deformableelementsutils.py
/usr/lib/i386-linux-gnu/yade/py/yade/export.py
/usr/lib/i386-linux-gnu/yade/py/yade/geom.py
/usr/lib/i386-linux-gnu/yade/py/yade/gridpfacet.py
/usr/lib/i386-linux-gnu/yade/py/yade/linterpolation.py
/usr/lib/i386-linux-gnu/yade/py/yade/pack.py
/usr/lib/i386-linux-gnu/yade/py/yade/params.py
/usr/lib/i386-linux-gnu/yade/py/yade/plot.py
/usr/lib/i386-linux-gnu/yade/py/yade/polyhedra_utils.py
/usr/lib/i386-linux-gnu/yade/py/yade/post2d.py
/usr/lib/i386-linux-gnu/yade/py/yade/remote.py
/usr/lib/i386-linux-gnu/yade/py/yade/runtime.py
/usr/lib/i386-linux-gnu/yade/py/yade/system.py
/usr/lib/i386-linux-gnu/yade/py/yade/timing.py
/usr/lib/i386-linux-gnu/yade/py/yade/utils.py
/usr/lib/i386-linux-gnu/yade/py/yade/wrapper.so
/usr/lib/i386-linux-gnu/yade/py/yade/ymport.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/mpipool.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/msFEM2D.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/msFEM3D.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/msFEMup.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/saveGauss.py
/usr/lib/i386-linux-gnu/yade/py/yade/FEMxDEM/simDEM.py
/usr/lib/i386-linux-gnu/yade/py/yade/qt/Inspector.py
/usr/lib/i386-linux-gnu/yade/py/yade/qt/SerializableEditor.py
/usr/lib/i386-linux-gnu/yade/py/yade/qt/_GLViewer.so
/usr/lib/i386-linux-gnu/yade/py/yade/qt/__init__.py
/usr/lib/i386-linux-gnu/yade/py/yade/qt/img_rc.py
/usr/lib/i386-linux-gnu/yade/py/yade/qt/ui_controller.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/__init__.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/clump.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/cohesive-chain.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/core.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/engines.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/pbc.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/utilsModule.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/wrapper.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/DEM-PFV-check.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkCapillaryModels.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkClumpHopper.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkGravity.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkLiquidMigration.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkList.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkPolyhedraCrush.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkSaveLoadClumps.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkTestDummy.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkTestTriax.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkViscElEng.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkViscElPM.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkViscElPM2.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkWeight.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/checkWirePM.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/data/100spheres
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/data/WallStressesCheckTest
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/data/checkTestTriax.spheres
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/performance/checkPerf.py
/usr/lib/i386-linux-gnu/yade/py/yade/tests/checks/performance/performance.db
/usr/share/doc/libyade/changelog.Debian.gz
/usr/share/doc/libyade/changelog.gz
/usr/share/doc/libyade/copyright
/usr/share/lintian/overrides/libyade

Changelog

2019-08-24 - Anton Gladky <gladk@debian.org>
yade (2019.01a-3) unstable; urgency=medium
* [b94a2c7] Remove restriction version on libeigen3-dev
* [118eccb] Add texlive-plain-generic as alternative to texlive-generic-extra 
(Closes: #933591)
* [02dc167] Trim trailing whitespace.
2019-01-30 - Anton Gladky <gladk@debian.org>
yade (2019.01a-2) unstable; urgency=medium
* [67c1798] Let metis. openblas and suiteparse be installed on all archs
2019-01-29 - Anton Gladky <gladk@debian.org>
yade (2019.01a-1) unstable; urgency=medium
* [6b3c3c1] New upstream version 2019.01a
* [34e8a66] Refresh patches
* [337fccf] Remove privacy breach
* [31d5dc1] Remove deprecated x-python-version
* [1584879] Fix typo
* [195bb4f] Set Standards-Version to 4.3.0
* [8401a0b] Build yade only for amd64 arm64 i386 ppc64el s390x
2019-01-07 - Anton Gladky <gladk@debian.org>
yade (2018.02b-6) unstable; urgency=medium
* [3251aa0] Reenable cgal-build
2018-12-05 - Anton Gladky <gladk@debian.org>
yade (2018.02b-5) unstable; urgency=medium
* [ef8bc89] Disable cgal functionality. (Closes: #911685)
* [75b0b55] Set Standards-Version to 4.2.1
2018-06-23 - Anton Gladky <gladk@debian.org>
yade (2018.02b-4) unstable; urgency=medium
* [7e20ce4] Update d/copyright
2018-06-19 - Anton Gladky <gladk@debian.org>
yade (2018.02b-3) unstable; urgency=medium
* [ed63b0d] Set Arch: any for python-yade
2018-06-09 - Anton Gladky <gladk@debian.org>
yade (2018.02b-2) unstable; urgency=medium
[ Adrian Bunk ]
* [4cf8d3c] Drop debug info for mips/mipsel. (Closes: #890237)
[ Anton Gladky ]
* [b87e33b] Use tar.gz instead of failing bz2 in doctest. (Closes: #900457)
* [37a6e5b] Add tilda to debhelper version number
* [20d3a2e] Set Standards-Version to 4.1.4
* [ec2b9f9] Fix compilation with the newer sphinx.
2018-02-20 - Anton Gladky <gladk@debian.org>
yade (2018.02b-1) unstable; urgency=medium
[ Anton Gladky ]
* [5a1056a] New upstream version 2018.02b
* [fc27b02] Remove patch applied by upstream
* [366aa18] Reenable CGAL-feature
[ Adrian Bunk ]
* [a5eddfb] Fix compilation on weak archs. (Closes: #890237)
2018-02-10 - Anton Gladky <gladk@debian.org>
yade (2018.02a-2) unstable; urgency=medium
* [299915c] Disable parallel build. (Closes: #890054)

See Also

Package Description
libyadifa-dev_2.3.8-1_i386.deb development libraries and header files for YADIFA
libyahc-perl_0.035-3_all.deb Yet another HTTP client
libyajl-dev_2.1.0-3_i386.deb Yet Another JSON Library - development files
libyajl-doc_2.1.0-3_all.deb Yet Another JSON Library - library documentation
libyajl-tulip-4.8-2_4.8.0dfsg-2+b7_i386.deb yajl shared library, built for Tulip
libyajl2_2.1.0-3_i386.deb Yet Another JSON Library
libyami-dev_1.3.2-1_i386.deb high-level abstraction for Video Acceleration (VA) API (development files)
libyami-utils_1.3.0-2+b1_i386.deb high-level abstraction for Video Acceleration (VA) API (utils)
libyami1_1.3.2-1_i386.deb high-level abstraction for Video Acceleration (VA) API (shared library)
libyaml-0-2_0.2.2-1_i386.deb Fast YAML 1.1 parser and emitter library
libyaml-appconfig-perl_0.19-1_all.deb module to manage configuration files with YAML
libyaml-cpp-dev_0.6.2-4_i386.deb YAML parser and emitter for C++ - development files
libyaml-cpp0.6_0.6.2-4_i386.deb YAML parser and emitter for C++
libyaml-dev_0.2.2-1_i386.deb Fast YAML 1.1 parser and emitter library (development)
libyaml-doc_0.2.2-1_all.deb Fast YAML 1.1 parser and emitter library (documentation)
Advertisement
Advertisement